%define luaver  5.2
%define lualibdir %{_libdir}/lua/%{luaver}
%define luapkgdir %{_datadir}/lua/%{luaver}
%define oname   luasec

Name:           lua-sec
Version:        0.5
Release:        %mkrel 5
Summary:        OpenSSL binding for LuaSocket
Group:          Development/Other
License:        MIT
URL:            https://github.com/brunoos/luasec/wiki
Source0:        https://github.com/brunoos/luasec/archive/%{oname}-%{version}.tar.gz

BuildRequires:  pkgconfig(lua) >= %{luaver}
BuildRequires:  pkgconfig(openssl)
Requires:       lua >= %{luaver}
Requires:       lua-socket

%description
LuaSec is a binding for OpenSSL library to provide TLS/SSL communication. 
This version delegates to LuaSocket the TCP connection establishment 
between the client and server. Then LuaSec uses this connection to start 
a secure TLS/SSL session.

%prep
%setup -q -n %{oname}-%{oname}-%{version}

%build
%make linux

%install
%makeinstall_std \
    LUACPATH=%{lualibdir} \
    LUAPATH=%{luapkgdir}

%files
%doc CHANGELOG samples/*
%{lualibdir}/ssl.so
%{luapkgdir}/ssl*




%changelog
* Wed Mar 02 2016 umeabot <umeabot> 0.5-5.mga6
+ Revision: 983644
- Rebuild for openssl

* Fri Feb 05 2016 umeabot <umeabot> 0.5-4.mga6
+ Revision: 936629
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5-3.mga5
+ Revision: 747976
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5-2.mga5
+ Revision: 682030
- Mageia 5 Mass Rebuild

* Sun Aug 10 2014 akien <akien> 0.5-1.mga5
+ Revision: 661534
- Version 0.5
- Build for Lua 5.2

* Fri Oct 18 2013 umeabot <umeabot> 0.4-6.mga4
+ Revision: 507598
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.4-5.mga3
+ Revision: 359070
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Apr 15 2011 shikamaru <shikamaru> 0.4-4.mga1
+ Revision: 85954
- Clean spec (tabs, one BR per line)
- imported package lua-sec


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4-3mdv2011.0
+ Revision: 612781
- the mass rebuild of 2010.1 packages

* Mon Apr 19 2010 Funda Wang <fwang@mandriva.org> 0.4-2mdv2010.1
+ Revision: 536627
- link against lua 5.1

* Tue Feb 02 2010 Rémy Clouard <shikamaru@mandriva.org> 0.4-1mdv2010.1
+ Revision: 499821
- update to 0.4

* Fri May 01 2009 Michael Scherer <misc@mandriva.org> 0.3.1-1mdv2010.0
+ Revision: 369964
- add BuildRequires
- import lua-sec


